Checkbox

Bootstrap checkbox

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

The checkbox is a component used to allow a user to make multiple choices which is broadly used in forms and surveys.

Checkboxes are used to select one or several options in a list, while radio (option) buttons are for selecting one option from many.


Default checkboxes

Default styling for the Bootstrap Checkbox component

        
            

              <!-- Default unchecked -->
              <div class="custom-control custom-checkbox">
                  <input type="checkbox" class="custom-control-input" id="defaultUnchecked">
                  <label class="custom-control-label" for="defaultUnchecked">Default unchecked</label>
              </div>

          
        
    

Material checkboxes MDB Pro component

The Material Design styling for Bootstrap Checkbox component

        
            

              <!-- Material unchecked -->
              <div class="form-check">
                  <input type="checkbox" class="form-check-input" id="materialUnchecked">
                  <label class="form-check-label" for="materialUnchecked">Material unchecked</label>
              </div>

          
        
    

Checked state

Add the checked attribute to the <input> element in order to pre-select the checkbox when the page loads.

The checked attribute is a boolean attribute.

The checked attribute can be used with <input type="checkbox"> and <input type="radio">.

Default checkbox

        
            

            <!-- Default checked -->
            <div class="custom-control custom-checkbox">
              <input type="checkbox" class="custom-control-input" id="defaultChecked2" checked>
              <label class="custom-control-label" for="defaultChecked2">Default checked</label>
            </div>

          
        
    

Material checkbox MDB Pro component

        
            

            <!-- Material checked -->
            <div class="form-check">
              <input type="checkbox" class="form-check-input" id="materialChecked2" checked>
              <label class="form-check-label" for="materialChecked2">Material checked</label>
            </div>

          
        
    

Indeterminate state

Note: The indeterminate state is only visual. The checkbox is still either checked or unchecked as a state.

Use this simple jQuery function to set an indeterminate state to your checkbox:

$('#yourCheckboxID').prop('indeterminate', true);

Default checkbox

        
            

            <!-- Default indeterminate -->
            <div class="custom-control custom-checkbox">
              <input type="checkbox" class="custom-control-input" id="defaultIndeterminate2" checked>
              <label class="custom-control-label" for="defaultIndeterminate2">Default indeterminate</label>
            </div>

          
        
    
        
            
            $('#defaultIndeterminate2').prop('indeterminate', true);
          
        
    

Material checkbox MDB Pro component

        
            

              <!-- Material indeterminate -->
              <div class="form-check">
                <input type="checkbox" class="form-check-input" id="materialIndeterminate2" checked>
                <label class="form-check-label" for="materialIndeterminate2">Material indeterminate</label>
              </div>

            
        
    
        
            
              $('#materialIndeterminate2').prop('indeterminate', true);
            
        
    

Disabled state

Add the disabled boolean attribute to the <input> element and then the custom indicator and label description will be automatically styled and blocked.

A disabled <input> element is unusable and un-clickable.

Default checkbox

        
            

            <!-- Default unchecked disabled -->
            <div class="custom-control custom-checkbox">
              <input type="checkbox" class="custom-control-input" id="defaultUncheckedDisabled2" disabled>
              <label class="custom-control-label" for="defaultUncheckedDisabled2">Default unchecked disabled</label>
            </div>

            <!-- Default checked disabled -->
            <div class="custom-control custom-checkbox">
              <input type="checkbox" class="custom-control-input" id="defaultCheckedDisabled2" checked disabled>
              <label class="custom-control-label" for="defaultCheckedDisabled2">Default checked disabled</label>
            </div>

          
        
    

Material checkbox MDB Pro component

To provide a proper cursor styling for the material checkbox, in addition to setting the disabled attribute you’ll also need to add the .disabled class to the <label> element.

        
            

            <!-- Material unchecked disabled -->
            <div class="form-check">
              <input type="checkbox" class="form-check-input" id="materialUncheckedDisabled2" disabled>
              <label class="form-check-label" for="materialUncheckedDisabled2">Material unchecked disabled</label>
            </div>

            <!-- Material checked disabled -->
            <div class="form-check">
              <input type="checkbox" class="form-check-input" id="materialCheckedDisabled" checked="checked2" disabled>
              <label class="form-check-label" for="materialCheckedDisabled2">Material checked disabled</label>
            </div>

          
        
    

Inline

Default checkboxes

Group default checkboxes or radios on the same horizontal row by adding the .custom-control-inline class to any parent element of the <input> element.

        
            

            <!-- Default inline 1-->
            <div class="custom-control custom-checkbox custom-control-inline">
              <input type="checkbox" class="custom-control-input" id="defaultInline1">
              <label class="custom-control-label" for="defaultInline1">1</label>
            </div>

            <!-- Default inline 2-->
            <div class="custom-control custom-checkbox custom-control-inline">
              <input type="checkbox" class="custom-control-input" id="defaultInline2">
              <label class="custom-control-label" for="defaultInline2">2</label>
            </div>

            <!-- Default inline 3-->
            <div class="custom-control custom-checkbox custom-control-inline">
              <input type="checkbox" class="custom-control-input" id="defaultInline3">
              <label class="custom-control-label" for="defaultInline3">3</label>
            </div>

          
        
    

Material checkboxes MDB Pro component

Group material checkboxes or radios on the same horizontal row by adding the .form-check-inline class to any parent element of the <input> element.

        
            

            <!-- Material inline 1 -->
            <div class="form-check form-check-inline">
              <input type="checkbox" class="form-check-input" id="materialInline1">
              <label class="form-check-label" for="materialInline1">1</label>
            </div>

            <!-- Material inline 2 -->
            <div class="form-check form-check-inline">
                <input type="checkbox" class="form-check-input" id="materialInline2">
                <label class="form-check-label" for="materialInline2">2</label>
            </div>

            <!-- Material inline 3 -->
            <div class="form-check form-check-inline">
                <input type="checkbox" class="form-check-input" id="materialInline3">
                <label class="form-check-label" for="materialInline3">3</label>
            </div>

Angular Bootstrap Checkbox

Angular Checkbox - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap checkbox is a component used to allow a user to make a multiple choice. It is broadly used in the forms and surveys.

Checkboxes are for selecting one or several options in a list, while radios are for selecting one option from many.


Default checkboxes

Default styling for Angular Bootstrap Checkbox component

        
            
                <!-- Default unchecked -->
                <mdb-checkbox [default]="true">Default unchecked</mdb-checkbox>
              
        
    

Material checkboxes MDB Pro component

Material Design styling for Angular Bootstrap Checkbox component

        
            
                <!-- Material unchecked -->
                <mdb-checkbox>Material unchecked</mdb-checkbox>
              
        
    

Checked state

Add a [checked]="true" input to the pre-select checkbox when the page loads.

Default checkbox

        
            
                <!-- Default checked -->
                <mdb-checkbox [checked]="true" [default]="true">Default checked</mdb-checkbox>
              
        
    

Material checkbox MDB Pro component

        
            
                <!-- Material checked -->
                <mdb-checkbox [checked]="true">Material checked</mdb-checkbox>
              
        
    

Indeterminate state

Note: The indeterminate state is visual only. The checkbox is still either checked or unchecked as a state.

Add an [indeterminate]="true" input to set an indeterminate state to your checkbox

Default checkbox

        
            
                <!-- Default indeterminate -->
                <mdb-checkbox [indeterminate]="true" [default]="true">Default checked</mdb-checkbox>
              
        
    

Material checkbox MDB Pro component

        
            
                <!-- Material indeterminate -->
                <mdb-checkbox [indeterminate]="true">Material checked</mdb-checkbox>
              
        
    

Disabled state

Add an [disabled]="true" input and the custom indicator and label description will be automatically styled and blocked.

A disabled checkbox component is unusable and un-clickable.

Default checkbox

        
            
                <!-- Default unchecked disabled -->
                <mdb-checkbox [disabled]="true" [default]="true">Default unchecked disabled</mdb-checkbox>
                <!-- Default checked disabled -->
                <mdb-checkbox [disabled]="true" [checked]="true" [default]="true">Default checked disabled</mdb-checkbox>
              
        
    

Material checkbox MDB Pro component

        
            
                <!-- Material unchecked disabled -->
                <mdb-checkbox [disabled]="true">Material unchecked disabled</mdb-checkbox>
                <!-- Material checked disabled -->
                <mdb-checkbox [disabled]="true" [checked]="true">Material checked disabled</mdb-checkbox>
              
        
    

Inline

Add an [inline]="true" input to group checkboxes on the same horizontal row.

Default checkboxes

        
            
                <!-- Default inline 1-->
                <mdb-checkbox [inline]="true" [default]="true">1</mdb-checkbox>
                <!-- Default inline 2-->
                <mdb-checkbox [inline]="true" [default]="true">2</mdb-checkbox>
                <!-- Default inline 3-->
                <mdb-checkbox [inline]="true" [default]="true">3</mdb-checkbox>
              
        
    

Material checkboxes MDB Pro component

        
            
                <!-- Material inline 1 -->
                <mdb-checkbox [inline]="true">1</mdb-checkbox>
                <!-- Material inline 2 -->
                <mdb-checkbox [inline]="true">2</mdb-checkbox>
                <!-- Material inline 3 -->
                <mdb-checkbox [inline]="true">3</mdb-checkbox>
               
        
    

Template-driven forms MDB Pro component

In this section, you will find information on how to use our checkbox component in template-driven forms.

Remember to import FormsModule into your app.module.ts file.

Setting & getting the value

Just bind in a two-way ngModel from component.html with templateChecked or templateUnchecked in the component.ts file

        
            
          <form>
            <mdb-checkbox [(ngModel)]="templateChecked" name="templateChecked">Checked with ngModel</mdb-checkbox>
            <mdb-checkbox [(ngModel)]="templateUnchecked" name="templateUnchecked">Unchecked with ngModel</mdb-checkbox>
          </form>
          <button mdbBtn color="primary" mdbWavesEffect (click)="getCheckboxesValue()">Get checkboxes value</button>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'template-driven-checkbox',
            templateUrl: 'template-driven-checkbox.component.html',
          })
          export class TemplateDrivenCheckboxComponent {
            templateChecked = true;
            templateUnchecked = false;

            getCheckboxesValue() {
              console.log('Checked value:', this.templateChecked);
              console.log('Unchecked value:', this.templateUnchecked);
            }
          }
        
        
    

Reactive forms MDB Pro component

In this section, you will find information on how to use our checkbox component in reactive forms.

Remember to import ReactiveFormsModule into your app.module.ts file.

Setting & getting the value

Set the default value in FormControl

        
            
          <form [formGroup]="reactiveForm">
            <mdb-checkbox formControlName="checked">Checked with FormControl</mdb-checkbox>
            <mdb-checkbox formControlName="unchecked">Unchecked with FormControl</mdb-checkbox>
          </form>
          <button mdbBtn color="primary" mdbWavesEffect (click)="getCheckboxesValue()">Get checkboxes value</button>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { FormGroup, FormControl } from '@angular/forms';

          @Component({
            selector: 'reactive-forms-checkbox',
            templateUrl: 'reactive-forms-checkbox.component.html',
          })
          export class ReactiveFormsCheckboxComponent {
            reactiveForm: FormGroup = new FormGroup({
              checked: new FormControl(true),
              unchecked: new FormControl(false)
            });

            getCheckboxesValue() {
              console.log('Checked value:', this.reactiveForm.controls['checked'].value);
              console.log('Unchecked value:', this.reactiveForm.controls['unchecked'].value);
            }
          }
        
        
    

Angular Checkbox - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of checkbox component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
            import { CheckboxModule, WavesModule, ButtonsModule } from 'ng-uikit-pro-standard'
          
        
    
        
            
            import { CheckboxModule, WavesModule, ButtonsModule } from 'angular-bootstrap-md'
          
        
    

Components

MdbCheckbox

Selector: mdb-checkbox

Type: CheckboxComponent


Inputs

Name Type Default Description Example
checkboxPosition string 'left' Specifies checkbox position relative to label (left or right) [checkboxPosition]="'right'
checked boolean false Specifies the checked state of the checkbox [checked]="true"
default boolean false Changes checkbox style to default [default]="true"
disabled boolean false Specifies the disabled state of the checkbox [disabled]="true"
filledIn boolean false Changes checkbox style to filled-in [filledIn]="true"
id string - Unique id for checkbox input (will be auto-generated if no value is provided) [id]="'my-checkbox-1'"
indeterminate boolean false Specifies the indeterminate state of the checkbox [indeterminate]="true"
inline boolean false Groups checkboxes on the same horizontal row [inline]="true"
name string - Specifies the name attribute for native input element [name]="'my-checkbox'"
required boolean false Specifies the required state of the checkbox [required]="true"
rounded boolean false Changes checkbox style to rounded and filled-in [rounded]="true"
tabIndex number null Specifies the tabindex for the checkbox [tabIndex]="1"
value string - Specifies the value attribute for native input element [value]="'checkbox-value'"

Outputs

Name Type Description Example
change EventEmitter<MdbCheckboxChange> Toggles the checked state of the checkbox (change)="onChange($event)"
MdbCheckboxChange

Change event object emitted by checkbox component.

Name Type Description
element CheckboxComponent The source element of the event
checked boolean Current checked state of the checkbox

Methods

You can get access to checkbox methods from another component.

Name Description
toggle Toggles the checked state of the checkbox

Angular Checkbox - examples & customization


Filled-in checkbox MDB Pro component

Add [filledIn]="true" input to your component to turn it into filled-in checkbox.

        
            
            <!-- Filled-in checkbox -->
            <mdb-checkbox [filledIn]="true" [checked]="true">Filled-in checkbox</mdb-checkbox>

            <!-- Filled-in checkbox disabled-->
            <mdb-checkbox [filledIn]="true" [checked]="true" [disabled]="true">Filled-in checkbox disabled</mdb-checkbox>
          
        
    

Checkbox color change MDB Pro component

You can add your own class to the checkbox component to change its appearance.

        
            
            <!-- Teal example -->
            <mdb-checkbox class="checkbox-teal" [checked]="true">Teal example</mdb-checkbox>

            <!-- Filled-in orange example -->
            <mdb-checkbox class="checkbox-warning-filled" [filledIn]="true" [checked]="true">Filled-in orange example</mdb-checkbox>
          
        
    
        
            
            mdb-checkbox.checkbox-teal [type="checkbox"]:checked+label:before {
              border-color: transparent #009688 #009688 transparent;
            }

            mdb-checkbox.checkbox-warning-filled [type="checkbox"][class*='filled-in']:checked+label:after {
              border-color: #FF8800;
              background-color: #FF8800;
            }
          
        
    

Rounded checkbox MDB Pro component

Add [rounded]="true" input to your component to turn it into filled-in rounded checkbox.

        
            
            <!-- Filled-in rounded example -->
            <mdb-checkbox [rounded]="true" [checked]="true">Filled-in rounded example</mdb-checkbox>
          
        
    

Checkbox with changed position MDB Pro component

Add [checkboxPosition]="'right'" input to move your checkbox element to the right side of the label.

        
            
            <!-- Filled-in rounded example -->
            <mdb-checkbox [checkboxPosition]="'right'" [checked]="true">Checkbox with changed position</mdb-checkbox>
          
        
    

Classic checkbox buttons

        
            
            <!--Classic checkbox buttons-->
            <div class="btn-group">
              <label mdbBtn color="primary" class="waves-light active" [(ngModel)]="checkboxModel.left" mdbCheckbox mdbWavesEffect>
                  Checkbox 1 (pre-checked)
              </label>
              <label mdbBtn color="primary" class="waves-light" [(ngModel)]="checkboxModel.middle" mdbCheckbox mdbWavesEffect>
                  Checkbox 2
              </label>
              <label mdbBtn color="primary" class="waves-light" [(ngModel)]="checkboxModel.right" mdbCheckbox mdbWavesEffect>
                  Checkbox 3
              </label>
            </div>
            <!--Classic checkbox buttons-->
          
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
                selector: 'classic-checkbox-buttons',
                templateUrl: './classic-checkbox-buttons.html'
            })
            export class ClassicCheckboxButtonsComponent {
              checkboxModel: any = { left: true, middle: false, right: false };
            }
          
        
    

Rounded checkbox buttons MDB Pro component

        
            
            <!--Rounded checkbox buttons-->
            <div class="btn-group">
              <label mdbBtn color="pink" rounded="true" class="active form-check-label" [(ngModel)]="checkboxModel.left" mdbCheckbox mdbWavesEffect>
                  Checkbox 1 (pre-checked)
              </label>
              <label mdbBtn color="pink" rounded="true" class="form-check-label" [(ngModel)]="checkboxModel.middle" mdbCheckbox mdbWavesEffect>
                  Checkbox 2
              </label>
              <label mdbBtn color="pink" rounded="true" class="form-check-label" [(ngModel)]="checkboxModel.right" mdbCheckbox mdbWavesEffect>
                  Checkbox 3
              </label>
            </div>
            <!--Rounded checkbox buttons-->
          
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
                selector: 'rounded-checkbox-buttons',
                templateUrl: './rounded-checkbox-buttons.html'
            })
            export class RoundedCheckboxButtonsComponent {
              checkboxModel: any = { left: true, middle: false, right: false };
            }
          
        
    

Rounded checkbox buttons with icons MDB Pro component

        
            
            <!--Rounded checkbox buttons with icons-->
            <div class="btn-group">
              <label mdbBtn color="warning" rounded="true" class="form-check-label" [(ngModel)]="checkboxModel.left" mdbCheckbox mdbWavesEffect>
                  Checkbox 1 (pre-checked)
                  <mdb-icon far icon="gem" class="ml-2"></mdb-icon>
              </label>
              <label mdbBtn color="warning" rounded="true" class="form-check-label" [(ngModel)]="checkboxModel.middle" mdbCheckbox mdbWavesEffect>
                  Checkbox 2
                  <mdb-icon fas icon="user" class="ml-2"></mdb-icon>
              </label>
              <label mdbBtn color="warning" rounded="true" class="form-check-label" [(ngModel)]="checkboxModel.right" mdbCheckbox mdbWavesEffect>
                  Checkbox 3
                  <mdb-icon fas icon="code" class="ml-2"></mdb-icon>
              </label>
            </div>
            <!--Rounded checkbox buttons with icons-->
          
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
                selector: 'checkbox-buttons-with-icons',
                templateUrl: './checkbox-buttons-with-icons.html'
            })
            export class CheckboxButtonsWithIconsComponent {
              checkboxModel: any = { left: true, middle: false, right: false };
            }

React Bootstrap Checkbox

React Checkbox - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Checkbox is a component used for allowing a user to make a multiple choice. Broadly used in the forms and surveys.

Checkboxes are for selecting one or several options in a list, while radios are for selecting one option from many.


Basic examples

Default styling for Bootstrap Checkbox component

        
            
            import React from 'react';

            const InputPage = () => {
              return (
                <div>
                  {/* Default unchecked */}
                  <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="defaultUnchecked">
                    <label class="custom-control-label" for="defaultUnchecked">Default unchecked</label>
                  </div>

                  {/* Default checked */}
                  <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="defaultChecked" checked>
                    <label class="custom-control-label" for="defaultChecked">Default checked</label>
                  </div>

                  {/* Default indeterminate */}
                  <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="defaultIndeterminate" checked>
                    <label class="custom-control-label" for="defaultIndeterminate">Default indeterminate</label>
                  </div>

                  {/* Default unchecked disabled */}
                  <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="defaultUncheckedDisabled" disabled>
                    <label class="custom-control-label" for="defaultUncheckedDisabled">Default unchecked disabled</label>
                  </div>

                  {/* Default checked disabled */}
                  <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="defaultCheckedDisabled" checked disabled>
                    <label class="custom-control-label" for="defaultCheckedDisabled">Default checked disabled</label>
                  </div>
                </div>
              )
            }

            export default InputPage;
           
        
    

Material checkboxes MDB Pro component

Material Design styling for Bootstrap Checkbox component

        
            
              import React from 'react';
              import { MDBInput } from 'mdbreact';

              const InputPage = () => {
                return (
                  <div>
                    {/* Material unchecked */}
                    <MDBInput label="Material unchecked" type="checkbox" id="checkbox1" />

                    {/* Material checked */}
                    <MDBInput label="Material unchecked" checked type="checkbox" id="checkbox2" />

                    {/* Material unchecked disabled */}
                    <MDBInput label="Material unchecked" disabled type="checkbox" id="checkbox3" />

                    {/* Material checked disabled */}
                    <MDBInput label="Material unchecked" checked disabled type="checkbox" id="checkbox4" />
                  </div>
                )
              }

              export default InputPage;
             
        
    

Checked state

Add checked prop to the <Input> component to pre-select checkbox when the page loads. The checked prop is a boolean attribute.The checked attribute can be used with <Input type="checkbox"> and <Input type="radio">.

Default checkbox

        
            
            import React from 'react';
            import { MDBInput } from 'mdbreact';

            const InputPage = () => {
              return (
                <div>
                  {/* Default checked */}
                  <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="defaultChecked2" checked>
                    <label class="custom-control-label" for="defaultChecked2">Default checked</label>
                  </div>
                </div>
              )
            }

            export default InputPage;
             
        
    

Material checkbox MDB Pro component

        
            
              import React from 'react';
              import { MDBInput } from 'mdbreact';

              const InputPage = () => {
                return (
                  <div>
                    {/* Material checked */}
                    <MDBInput label="Filled-in unchecked" checked type="checkbox" id="checkbox2" />
                  </div>
                )
              }

              export default InputPage;
             
        
    

Indeterminate state

Note: The indeterminate state is visual only. The checkbox is still either checked or unchecked as a state.

If you want to use indeterminate state you have to set a indeterminate prop to true

Default checkbox

        
            
            import React from 'react';
            import { MDBInput } from 'mdbreact';

            const InputPage = () => {
              return (
                <div>
                  {/* Default unchecked disabled */}
                  <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="defaultUncheckedDisabled2" indeterminate>
                    <label class="custom-control-label" for="defaultUncheckedDisabled2">Default unchecked disabled</label>
                  </div>
                </div>
              )
            }

            export default InputPage;
             
        
    

Material checkbox MDB Pro component

        
            
              import React from 'react';
              import { MDBInput } from 'mdbreact';

              const InputPage = () => {
                return (
                  <div>
                    {/* Material indeterminate */}
                    <MDBInput label='Material indeterminate' type='checkbox' id='checkbox23' indeterminate />
                  </div>
                )
              }

              export default InputPage;
             
        
    

Disabled state

Add the disabled boolean attribute to the <Input> component and the custom indicator and label description will be automatically styled and blocked. A disabled <Input> component is unusable and un-clickable.

Default checkbox

        
            
            import React from 'react';
            import { MDBInput } from 'mdbreact';

            const InputPage = () => {
              return (
                <div>
                  {/* Default unchecked disabled */}
                  <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="defaultUncheckedDisabled2" disabled>
                    <label class="custom-control-label" for="defaultUncheckedDisabled2">Default unchecked disabled</label>
                  </div>

                  {/* Default checked disabled */}
                  <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="defaultCheckedDisabled2" checked disabled>
                    <label class="custom-control-label" for="defaultCheckedDisabled2">Default checked disabled</label>
                  </div>
                </div>
              )
            }

            export default InputPage;
             
        
    

Material checkbox MDB Pro component

        
            
              import React from 'react';
              import { MDBInput } from 'mdbreact';

              const InputPage = () => {
                return (
                  <div>
                    {/* Material unchecked disabled */}
                    <MDBInput label="Filled-in unchecked" disabled type="checkbox" id="checkbox3" />

                    {/* Material checked disabled */}
                    <MDBInput label="Filled-in unchecked" checked disabled type="checkbox" id="checkbox4" />
                  </div>
                )
              }

              export default InputPage;
             
        
    

Inline

Group checkboxes or radios on the same horizontal row by wraping <Input> components in <FormInline> component.

Default checkboxes

        
            
            import React from 'react';
            import { MDBInput, MDBFormInline } from 'mdbreact';

            const InputPage = () => {
              return (
                <div>
                  {/* Default inline 1 */}
                  <div class="custom-control custom-checkbox custom-control-inline">
                    <input type="checkbox" class="custom-control-input" id="defaultInline1">
                    <label class="custom-control-label" for="defaultInline1">1</label>
                  </div>

                  {/* Default inline 2 */}
                  <div class="custom-control custom-checkbox custom-control-inline">
                    <input type="checkbox" class="custom-control-input" id="defaultInline2">
                    <label class="custom-control-label" for="defaultInline2">2</label>
                  </div>

                 {/* Default inline 3 */}
                  <div class="custom-control custom-checkbox custom-control-inline">
                    <input type="checkbox" class="custom-control-input" id="defaultInline3">
                    <label class="custom-control-label" for="defaultInline3">3</label>
                  </div>
                </div>
              );
            };

            export default InputPage;

             
        
    

Material checkboxes MDB Pro component

        
            
            import React from 'react';
            import { MDBInput, MDBFormInline } from 'mdbreact';

            const InputPage = () => {
              return (
                <div>
                  {/* Material inline */}
                  <MDBFormInline>
                    <MDBInput
                      label='1'
                      type='checkbox'
                      id='checkbox1'
                      containerClass='mr-5'
                    />
                    <MDBInput
                      label='2'
                      type='checkbox'
                      id='checkbox2'
                      containerClass='mr-5'
                    />
                    <MDBInput
                      label='3'
                      type='checkbox'
                      id='checkbox3'
                      containerClass='mr-5'
                    />
                  </MDBFormInline>
                </div>
              );
            };

            export default InputPage;

             
        
    

Filled checkbox MDB Pro component

Filled styles checkboxes.

        
            
            import React from 'react';
            import { MDBInput } from 'mdbreact';

            const InputPage = () => {
              return (
                <div>
                  <MDBInput
                    label='Filled'
                    filled
                    type='checkbox'
                    id='checkbox1'
                    containerClass='mr-5'
                  />
                </div>
              );
            };

            export default InputPage;

             
        
    

React Checkbox - API

In this section you will find advanced information about the React Checkbox component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use to work with it.


Import statement

In order to use Checkbox component make sure you have imported proper module first.

        
            
          import React from 'react';
          import { MDBInput } from 'mdbreact';
        
        
    

API Reference: Properties

The table below shows the configuration options of the MDBInput component.

Name Type Default Description Example
checked Boolean false Pre-selects checkbox/radio button when the page loads. <MDBInput checked />
className String Adds custom class to Input component <MDBInput className="myClass" />
containerClass String Adds custom class to wrapping div <MDBInput containerClass="wrapper" />
disabled Boolean false Disables input component <MDBInput disabled />
error String Sets the error message for the labels data-error attribute <MDBInput error="Whoops!" />
filled Boolean false Add filled-in style to checkbox/radio button <MDBInput type="checkbox" filled />
gap Boolean false Creates gap inside checkbox/radio button <MDBInput type="checkbox" gap />
group Boolean false Add .form-group class to the wrapping div <MDBInput group />
hint String Sets the placeholder for the Input <MDBInput hint="Placeholder" />
icon String Adds font-awesome icon <MDBInput icon="caret-right" />
iconBrand Boolean false Use this property to set brand icon (fab) <MDBInput icon="twitter" iconBrand />
iconClassName String Adds custom classes to icon element <MDBInput icon="envelope" iconClassName="customClass" />
iconLight Boolean false Use this property to set light icon (fal) <MDBInput icon="twitter" iconLight />
iconRegular Boolean false Use this property to set regular icon (far) <MDBInput icon="twitter" iconRegular />
indeterminate Boolean false Set indeterminate state <MDBInput indeterminate />
iconSize String Sets icon size <MDBInput icon="pencil-alt" size="5x" />
id String Required! Set the id of the input element <MDBInput id="myId" />
inputRef Function Allows to attach React Ref to the input component; accepts only Callback Ref <MDBInput inputRef={ref => this.myRef = ref } />
label String Add label to the component; you can attach jsx elements (f.e. links) <MDBInput label="My custom input" />
labelClass String Adds custom class to the label <MDBInput labelClass="labelCustomClass" />
size String Changes size of the component; available lg and sm <MDBInput size="sm" />
success String Sets the success message for the labels data-success attribute <MDBInput success="Yeah!" />
tag String input Changes default input tag <MDBInput tag="div" />
type String text The type of the input element <MDBInput type="checkbox" />
validate Boolean false Adds .validate class to the Input component <MDBInput validate />
value String The value of the input element (use with the controlled input) <MDBInput value="I am controlled" onChange={this.handleChange} />
valueDefault String The default value of the input (use with the uncontrolled input) <MDBInput valueDefault="I am uncontrolled" />

API Reference: Methods

The table below shows the methods which you can use with MDBInput component.

Name Parameters Description Example
getValue Method called on input change event; returns input value <MDBInput getValue={this.getValue} />
onBlur Method called on blur event, the blur event is raised when an element loses focus; returns event object <MDBInput onBlur={this.handleBlur} />
onChange Method called on change event; returns event object <MDBInput onChange={this.handleChange} />
onFocus Method called on focus event, the focus event is raised when the user sets focus on en element; returns event object <MDBInput onFocus={this.handleFocus} />
onInput Method called on input event; returns event object <MDBInput onInput={this.handleInput} />

React Checkbox - examples & customization

Quickly get a project started with any of our examples.


Checkbox color change

        
            
        import React from 'react';
        import { MDBInput } from 'mdbreact';

        const InputPage = () => {
          return (
            <div>
              {/* Teal example */}
              <MDBInput containerClass="form-check checkbox-teal" labelClass="form-check-label" label="Teal checkbox" type="checkbox"
                id="tealExample" checked />

              {/* Filled-in orange example */}
              <MDBInput containerClass="form-check checkbox-warning-filled" filled labelClass="form-check-label" label="Filled-in orange example"
                type="checkbox" id="orangeExample" checked />
            </div>
          )
        }

        export default InputPage;
       
        
    
        
            

          .checkbox-teal [type="checkbox"]:checked+label:before {
            border-color: transparent #009688 #009688 transparent;
          }

          .checkbox-warning-filled [type="checkbox"][class*='filled-in']:checked+label:after {
            border-color: #FF8800;
            background-color: #FF8800;
          }

       
        
    

Rounded checkbox

        
            
        import React from 'react';
        import { MDBInput } from 'mdbreact';
        import './index.css'

        const InputPage = () => {
          return (
            <div>
              {/* Filled-in rounded example */}
              <MDBInput containerClass="form-check checkbox-rounded" labelClass="form-check-label" label="Filled-in rounded example"
                type="checkbox" className="checkbox-rounded" filled id="roundedExample" checked />
            </div>
          )
        }

        export default InputPage;
       
        
    
        
            

        .checkbox-rounded [type="checkbox"][class*='filled-in']+label:after {
          border-radius: 50%;
        }

Vue Bootstrap checkbox

Vue Bootstrap checkbox - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap heckbox is a component used for allowing a user to make a multiple choice. Broadly used in the forms and surveys. Checkboxes are made for selecting one or several options in a list, while radios are for selecting one option from many.


Default checkboxes

Default styling for Bootstrap Checkbox component

        
            
          <template>
            <!-- Default unchecked -->
            <div class="custom-control custom-checkbox">
              <input type="checkbox" class="custom-control-input" id="defaultUnchecked">
              <label class="custom-control-label" for="defaultUnchecked">Default unchecked</label>
            </div>
          </template>
          
        
    

Material checkboxes MDB Pro component

Material Design styling for Bootstrap Checkbox component

        
            
            <!-- Material unchecked -->
            <template>
              <mdb-input type="checkbox" id="checkbox1" name="check1" v-model="check1" label="Material unchecked" />
            </template>
            
        
    
        
            
            <script>
              import {
                mdbInput
              } from 'mdbvue';
              export default {
                name: 'InputsProPage',
                components: {
                  mdbInput
                },
                data() {
                  return {
                    check1: false
                  };
                }
              }
            </script>
            
        
    

Checked state

Add checked attribute to the <input> element to pre-select checkbox when the page loads.

The checked attribute is a boolean attribute.

The checked attribute can be used with <input type="checkbox"> and <input type="radio">.

Define v-model directive to manage Material chekcboxes.

Default checkbox

        
            
          <template>
            <!-- Default checked -->
            <div class="custom-control custom-checkbox">
              <input type="checkbox" class="custom-control-input" id="defaultChecked2" checked>
              <label class="custom-control-label" for="defaultChecked2">Default checked</label>
            </div>
          </template>
          
        
    

Material checkbox MDB Pro component

        
            
            <!-- Material unchecked -->
            <template>
              <mdb-input type="checkbox" id="checkbox2" name="check2" v-model="check2" label="Material checked" />
            </template>
            
        
    
        
            
            <script>
              import {
                mdbInput
              } from 'mdbvue';
              export default {
                name: 'InputsProPage',
                components: {
                  mdbInput
                },
                data() {
                  return {
                    check2: true
                  };
                }
              }
            </script>
            
        
    

Disabled state

Add the disabled boolean attribute to the <input> and the custom indicator and label description will be automatically styled and blocked.

A disabled <input> element is unusable and un-clickable.

Default checkbox

        
            
          <template>
            <div>
              <!-- Default unchecked disabled -->
              <div class="custom-control custom-checkbox">
                <input type="checkbox" class="custom-control-input" id="defaultUncheckedDisabled2" disabled>
                <label class="custom-control-label" for="defaultUncheckedDisabled2">Default unchecked disabled</label>
              </div>
              <!-- Default checked disabled -->
              <div class="custom-control custom-checkbox">
                <input type="checkbox" class="custom-control-input" id="defaultCheckedDisabled2" checked disabled>
                <label class="custom-control-label" for="defaultCheckedDisabled2">Default checked disabled</label>
              </div>
            </div>
          </template>
          
        
    

Material checkbox MDB Pro component

To provide a proper cursor styling for material checkbox add disabled prop to mdbInput component

        
            
            <template>
              <div>
                <!-- Material unchecked disabled -->
                <mdb-input 
                  type="checkbox" 
                  id="checkbox1" 
                  name="check3" 
                  v-model="check3" 
                  label="Material unchecked"
                  disabled />
                <!-- Material checked disabled -->
                <mdb-input 
                  type="checkbox" 
                  id="checkbox2" 
                  name="check4" 
                  v-model="check4" 
                  label="Material checked"
                  disabled />
              </div>
            </template>
            
        
    
        
            
            <script>
              import {
                mdbInput
              } from 'mdbvue';
              export default {
                name: 'InputsProPage',
                components: {
                  mdbInput
                },
                data() {
                  return {
                    check3: false,
                    check4: true
                  };
                }
              }
            </script>
            
        
    

Inline

Default checkboxes

Group default checkboxes or radios on the same horizontal row by adding .custom-control-inline class to any parent element of the <input> element.

        
            
          <template>
            <div>
              <!-- Default inline 1-->
              <div class="custom-control custom-checkbox custom-control-inline">
                <input type="checkbox" class="custom-control-input" id="defaultInline1">
                <label class="custom-control-label" for="defaultInline1">1</label>
              </div>
              <!-- Default inline 2-->
              <div class="custom-control custom-checkbox custom-control-inline">
                <input type="checkbox" class="custom-control-input" id="defaultInline2">
                <label class="custom-control-label" for="defaultInline2">2</label>
              </div>
              <!-- Default inline 3-->
              <div class="custom-control custom-checkbox custom-control-inline">
                <input type="checkbox" class="custom-control-input" id="defaultInline3">
                <label class="custom-control-label" for="defaultInline3">3</label>
              </div>
            </div>
          </template>
          
        
    

Material checkboxes MDB Pro component

Group material checkboxes or radios on the same horizontal row by wpapping in form-inline component.

        
            
            <!-- Material inline -->
            <template>
              <mdb-form-inline>
                <mdb-input type="checkbox" id="checkbox5" label="Default checkobox" />
                <mdb-input type="checkbox" id="checkbox6" label="Filled-in checkobox" filled />
                <mdb-input type="checkbox" id="checkbox7" label="Default checkobox" />
              </mdb-form-inline>
            </template>
            
        
    
        
            
            <script>
              import {
                mdbInput,
                mdbFormInline
              } from 'mdbvue';
              export default {
                name: 'InputsProPage',
                components: {
                  mdbInput,
                  mdbFormInline
                }
              }
            </script>
            
        
    

Checkbox - API

In this section you will find advanced information about the Checkbox component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
    <script>
      import {
        mdbInput
      } from 'mdbvue';
    </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
active Boolean false Pre-selects button checkbox when the page loads. <mdb-input active ... />
checked Boolean false Pre-selects checkbox when the page loads. <mdb-input checked ... />
class String Override or extend the styles applied to the component. <mdb-input class="example-class" ... />
disabled Boolean false Disables input component <mdb-input disabled ... />
filled Boolean false Add filled-in style to checkbox <mdb-input filled ... />
id String The id of the input element. Required <mdb-input id="checkbox-1" ... />
label String Add description to the component label <mdb-input label="Example label" ... />
type String text The input component type atribute <mdb-input type="text" ... />

API Reference: Methods

Name Parameters Description Example
v-model value Vue.js's directive for emulating input element's two-way data binding. It is syntactic sugar for chaining together value prop and input event listener. <mdb-input type="checkbox" v-model="check" />
v-on:change value Returns checkbox value. Use this method instead of v-model to handle checkbox state changes. <mdb-input @change="handleCheckboxChange" />

Checkbox - examples & customization


Filled-in checkbox MDB Pro component

        
            
      <template>
        <div>
          <!-- Filled-in checkbox -->
          <div class="form-check">
            <input type="checkbox" class="form-check-input filled-in" id="filledInCheckbox" checked>
            <label class="form-check-label" for="filledInCheckbox">Filled-in checkbox</label>
          </div>

          <!-- Filled-in checkbox disabled-->
          <div class="form-check">
            <input type="checkbox" class="form-check-input filled-in" id="filledInCheckboxDisabled" checked disabled>
            <label class="form-check-label disabled" for="filledInCheckboxDisabled">Filled-in checkbox disabled</label>
          </div>
        </div>
      </template>
      
        
    

Checkbox color change MDB Pro component

        
            
      <template>
        <div>
          <!-- Teal example -->
          <div class="form-check checkbox-teal">
            <input type="checkbox" class="form-check-input" id="tealExample" checked>
            <label class="form-check-label" for="tealExample">Teal checkbox</label>
          </div>

          <!-- Filled-in orange example -->
          <div class="form-check checkbox-warning-filled">
            <input type="checkbox" class="form-check-input filled-in" id="orangeExample" checked>
            <label class="form-check-label" for="orangeExample">Filled-in orange example</label>
          </div>
        </div>
      </template>
      
        
    
        
            
      <style>
        .checkbox-teal [type="checkbox"]:checked+label:before {
          border-color: transparent #009688 #009688 transparent;
        }

        .checkbox-warning-filled [type="checkbox"][class*='filled-in']:checked+label:after {
          border-color: #FF8800;
          background-color: #FF8800;
        }
      </style>
      
        
    

Rounded checkbox MDB Pro component

        
            
      <!-- Filled-in rounded example -->
      <div class="form-check checkbox-rounded">
        <input type="checkbox" class="form-check-input filled-in" id="roundedExample" checked>
        <label class="form-check-label" for="roundedExample">Filled-in rounded example</label>
      </div>
      
        
    
        
            
      <style>
        .checkbox-rounded [type="checkbox"][class*='filled-in']+label:after {
          border-radius: 50%;
        }
      </style>
      
        
    

Classic checkbox buttons

        
            
      <template>
        <div>
          <!--Classic checkbox buttons-->
          <btn-group>
            <btn color="primary" @click.native="toggleActiveState1" :active="active1">Checkbox 1 (pre-checked)</btn>
            <btn color="primary" @click.native="toggleActiveState2" :active="active2">Checkbox 2</btn>
            <btn color="primary" @click.native="toggleActiveState3" :active="active3">Checkbox 3</btn>
          </btn-group>
          <!--Classic checkbox buttons-->
        </div>
      </template>
      
        
    
        
            
      <script>
        import {
          BtnGroup,
          Btn
        } from 'mdbvue';

        export default {
          name: 'InputsProPage',
          components: {
            BtnGroup,
            Btn
          },
          data() {
            return {
              active1: true,
              active2: false,
              active3: false,
            };
          },
          methods: {
            toggleActiveState1() {
              this.active1 = !this.active1;
            },
            toggleActiveState2() {
              this.active2 = !this.active2;
            },
            toggleActiveState3() {
              this.active3 = !this.active3;
            }
          }
        }
      </script>
      
        
    

Rounded checkbox buttons MDB Pro component

        
            
      <template>
        <div>
          <!--Rounded checkbox buttons-->
          <btn-group>
            <btn color="pink" rounded @click.native="toggleActiveState1" :active="active1">Checkbox 1 (pre-checked)
            </btn>
            <btn color="pink" rounded @click.native="toggleActiveState2" :active="active2">Checkbox 2</btn>
            <btn color="pink" rounded @click.native="toggleActiveState3" :active="active3">Checkbox 3</btn>
          </btn-group>
          <!--Rounded checkbox buttons-->
        </div>
      </template>
      
        
    
        
            
      <script>
        import {
          BtnGroup,
          Btn
        } from 'mdbvue';

        export default {
          name: 'InputsProPage',
          components: {
            BtnGroup,
            Btn
          },
          data() {
            return {
              active1: true,
              active2: false,
              active3: false,
            };
          },
          methods: {
            toggleActiveState1() {
              this.active1 = !this.active1;
            },
            toggleActiveState2() {
              this.active2 = !this.active2;
            },
            toggleActiveState3() {
              this.active3 = !this.active3;
            }
          }
        }
      </script>
      
        
    

Rounded checkbox buttons with icons MDB Pro component

        
            
      <template>
        <div>
          <!--Rounded checkbox buttons with icons-->
          <btn-group>
            <btn color="warning" rounded icon="diamond" iconRight @click.native="toggleActiveState1" :active="active1">
              Checkbox 1 (pre-checked)</btn>
            <btn color="warning" rounded icon="user" iconRight @click.native="toggleActiveState2" :active="active2">
              Checkbox 2</btn>
            <btn color="warning" rounded icon="code" iconRight @click.native="toggleActiveState3" :active="active3">
              Checkbox 3</btn>
          </btn-group>
          <!--Rounded checkbox buttons with icons-->
        </div>
      </template>
      
        
    
        
            
      <script>
        import {
          BtnGroup,
          Btn
        } from 'mdbvue';

        export default {
          name: 'InputsProPage',
          components: {
            BtnGroup,
            Btn
          },
          data() {
            return {
              active1: true,
              active2: false,
              active3: false,
            };
          },
          methods: {
            toggleActiveState1() {
              this.active1 = !this.active1;
            },
            toggleActiveState2() {
              this.active2 = !this.active2;
            },
            toggleActiveState3() {
              this.active3 = !this.active3;
            }
          }
        }
      </script>